Subject: bug#72038: closed (Closing)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 10 Jul 2024 17:13:02 +0000

Your bug report

#72038: ki18n test failure of KCatalogTest (locales problem?)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72038: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72038
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Closing
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Wed, 10 Jul 2024 13:11:33 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I messed up this report so I'm closing it and will open a new one. I
think it will be too confusing to leave this report open as it is.

Subject: [core-updates] libetonyek test failure of KCatalogTest (locales problem?)
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Wed, 10 Jul 2024 11:10:38 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On core-updates commit 736939037346, libetonyek fails its test suite
like this:

------
********* Start testing of KCatalogTest *********
Config: Using QtTest library 5.15.10, Qt 5.15.10 (x86_64-little_endian-lp64 shared (dynamic) release build; by GCC 11.4.0), unknown unknown
PASS   : KCatalogTest::initTestCase()
QWARN  : KCatalogTest::testLookup() kf.i18n: The value of the LANGUAGE environment variable: "fr_CH:fr_CH:fr_CH:fr_CH:fr_CH:fr_CH:fr_CH:fr_CH:fr_CH:fr_CH:fr_CH:fr_CH:fr_CH:fr_CH:fr_CH:fr_CH" ( size: 95 ),
 was longer than (and consequently truncated to) the max. length of: 54
FAIL!  : KCatalogTest::testLookup() Compared values are not the same
   Actual   (c.name())                          : "New Zealand"
   Expected (QStringLiteral("Nouvelle-Zélande")): "Nouvelle-Z\u00E9lande"
   Loc: [/tmp/guix-build-ki18n-5.114.0.drv-0/ki18n-5.114.0/autotests/kcatalogtest.cpp(40)]
PASS   : KCatalogTest::cleanupTestCase()
Totals: 2 passed, 1 failed, 0 skipped, 0 blacklisted, 8ms 
********* Finished testing of KCatalogTest *********
<end of output>
Test time =   0.02 sec 
----------------------------------------------------------
Test Failed.
"kcatalogtest" end time: Jul 10 14:55 UTC 
"kcatalogtest" time elapsed: 00:00:00
------

It expects the value "New Zealand", but instead receives
"Nouvelle-Z\u00E9lande".

And there is a warning about the LANGUAGE environment variable.

I tried updating to the latest Git revision, with the attached diff, but
the build fails when libtoolize can't be found in the bootstrap phase,
although it is available in the build environment:

------
starting phase `bootstrap'
running './autogen.sh'
patch-shebang: ./autogen.sh: changing `/bin/sh' to `/gnu/store/3jhfhxdf6v5ms10x5zmnl166dh3yhbr1-bash-minimal-5.1.16/bin/sh'
error: libtoolize not found
error: in phase 'bootstrap': uncaught exception:
%exception #<&invoke-error program: "./autogen.sh" arguments: () exit-status: 1 term-signal: #f stop-signal: #f> 
phase `bootstrap' failed after 0.2 seconds
command "./autogen.sh" failed with status 1
build process 6 exited with status 256
note: keeping build directory `/tmp/guix-build-libetonyek-0.1.10-0.9c3a8cb.drv-3'
------

Any ideas?
diff --git a/gnu/packages/libreoffice.scm b/gnu/packages/libreoffice.scm
index a6d84007e8..fdcf194447 100644
--- a/gnu/packages/libreoffice.scm
+++ b/gnu/packages/libreoffice.scm
@@ -45,6 +45,7 @@ (define-module (gnu packages libreoffice)
   #:use-module (ice-9 match)
   #:use-module (gnu packages)
   #:use-module (gnu packages aidc)
+  #:use-module (gnu packages autogen)
   #:use-module (gnu packages autotools)
   #:use-module (gnu packages base)
   #:use-module (gnu packages bison)
@@ -444,16 +445,20 @@ (define-public libcdr
     (license license:mpl2.0)))
 
 (define-public libetonyek
+               (let ((version "0.1.10")
+                     (revision "0")
+                     (commit "9c3a8cb8858199fe017d27035bb4d6809492116f"))
   (package
     (name "libetonyek")
-    (version "0.1.10")
+    (version (git-version version revision commit))
     (source
      (origin
-      (method url-fetch)
-      (uri (string-append "http://dev-www.libreoffice.org/src/" name "/"
-                          name "-" version ".tar.xz"))
+      (method git-fetch)
+      (uri (git-reference
+             (url "https://git.libreoffice.org/libetonyek")
+             (commit commit)))
       (sha256 (base32
-               "16hy60ws29pb4pz3z5l4920yn9hnk2vlij0xfs5qi1w4drd46c5l"))))
+               "0k5vji9vymn4v43nfj4jxaqkninf38x6418z0cbj2l95bwbb2xsc"))))
     (build-system gnu-build-system)
     (arguments
      (list #:configure-flags
@@ -462,7 +467,7 @@ (define-public libetonyek
                                      (package-version
                                       (this-package-input "mdds")))))))
     (native-inputs
-     (list cppunit doxygen gperf pkg-config))
+     (list autoconf automake libtool autogen cppunit doxygen gperf pkg-config))
     (propagated-inputs ; in Requires or Requires.private field of .pkg
      (list liblangtag librevenge libxml2 zlib))
     (inputs
@@ -471,7 +476,7 @@ (define-public libetonyek
     (synopsis "Library for parsing the Apple Keynote format")
     (description "Libetonyek is a library that parses the file format of
 Apple Keynote documents.  It currently supports Keynote versions 2 to 5.")
-    (license license:mpl2.0)))
+    (license license:mpl2.0))))
 
 (define-public liblangtag
   (package